Status: Resolved Start date: 01/25/2017
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Commandline Tools Estimated time: 0.00 hour
Target version: rsb-0.16
Description

I would like to be able to play only events with a method "REQUEST" ignoring pre-recorded replies.

Associated revisions
Revision 5a734247 - 02/07/2017 05:04 PM - J. Moringen

bag->events and replay connections support event filters in src/rsb/*.lisp

refs #2687

    -  src/rsb/protocol.lisp (header): updated copyright
  (bag->events): added filters keyword parameter; extended
  documentation string accordingly

    -  src/rsb/replay/strategy-mixins.lisp (filtering-mixin): new class;
  select events for replay
  (shared-initialize :after filtering-mixin t): new method; construct
  and install suitable filter for supplied filter list
  (process-event replay-bag-connection filtering-mixin t t t t): new
  method; call next method conditional on filter

    -  src/rsb/replay/as-fast-as-possible.lisp (header): updated copyright
  (as-fast-as-possible): added superclass `filtering-mixin'

    -  src/rsb/replay/fixed-rate.lisp (header): updated copyright
  (fixed-rate): added superclass `filtering-mixin'

    -  src/rsb/replay/interactive.lisp (header): updated copyright
  (interactive): added superclass `filtering-mixin'

    -  src/rsb/replay/recorded-timing.lisp (header): updated copyright
  added superclass `filtering-mixin'

    -  src/rsb/replay/remote-controlled.lisp (header): updated copyright
  (remote-controlled): added superclass `filtering-mixin'

    -  src/rsb/replay/package.lisp (header): updated copyright
  (package rsbag.rsb.replay): added exported symbols strategy-filter
  and filtering-mixin

    -  test/rsb/strategy-mixins.lisp (header): updated copyright
  (test suite filtering-mixin-root): new test suite; for
  `filtering-mixin' class
  (define-replay-strategy-construction-test filtering-mixin): new test
  case; test construction of `filtering-mixin' instances

Revision d7e223ef - 02/07/2017 05:16 PM - J. Moringen

Added class filter-mixin in src/commands/mixins.lisp
refs #2687

    -  src/commands/mixins.lisp (header): updated copyright
  (filter-mixin): new class; stores a list of filters used by a
  command

    -  src/commands/logger.lisp (header): updated copyright
  (logger): added superclass `filter-mixin'
  (logger::filters): removed slot
  (command-execute logger): adapted reader call {logger ->
  command}-filters

    -  src/commands/package.lisp (header): updated copyright
  (package rsb.tools.commands): added exported symbols filter-mixin
  and command-filters

Revision 8273f7df - 02/07/2017 05:16 PM - J. Moringen

Moved make-filter-help-string into src/common/help.lisp

refs #2687

    -  src/common/help.lisp (header): updated copyright
  (make-filter-help-string): new function; moved here from
  logger/help.lisp

    -  src/common/package.lisp (header): updated copyright
  (package rsb.tools.common): added exported symbol
  make-filter-help-string

    -  logger/help.lisp (header): updated copyright
  (make-filter-help-string): removed; moved to src/common/help.lisp

Revision 56cd6b0f - 02/07/2017 06:08 PM - J. Moringen

Support filters in src/commands/{cat,play}.lisp,bag-{cat,play}/main.lisp

fixes #2687

    -  src/commands/cat.lisp (header): updated copyright
  (cat): added superclass `filter-mixin'
  (command-execute cat): pass list of filters to `bag->events'

    -  src/commands/play.lisp (header): updated copyright
  (play): added superclass `filter-mixin'
  (command-execute play): pass list of filters to `bag->events'

    -  src/commands/record.lisp (header): updated copyright
  (record): added superclass `filter-mixin'
  (command-execute record): adapted accessor call {record ->
  command}-filters

    -  src/common/options.lisp (header): updated copyright
  (make-replay-options): added filter commandline option

    -  bag-cat/main.lisp (header): updated copyright
  (main): collect values of filter commandline option; pass filters to
  `make-command' call

    -  bag-play/main.lisp (header): updated copyright
  (main): collect values of filter commandline option; pass filters to
  `make-command' call

    -  test/commands/cat.lisp (header): updated copyright
  (test cat-root::construction): added case for :filters initarg

    -  test/commands/play.lisp (header): updated copyright
  (test play-root::construction): added case for :filters initarg

Revision e9f43291 - 02/07/2017 06:23 PM - J. Moringen

Added filter commandline option in common.rst

refs #2687

    -  common.rst (Replay-related Options): added filter commandline option
    -  news.rst (RSBag 0.16): mention added filter commandline option

History
#1 - 01/25/2017 03:49 PM - J. Wienke
- Subject changed from Support filter for replay to Support filters for replay

#2 - 02/07/2017 03:53 PM - J. Moringen
- Status changed from New to In Progress
- % Done changed from 0 to 70

#3 - 02/07/2017 06:20 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 70 to 100

Applied in changeset commit:rsbag-tools-cl|56cd6b0f28066e54bd3e02dc46dc9b8f3ea124ac.

04/17/2024 3/3


